<html !DOCTYPE="html">
<head>
<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@300;500;700&display=swap" rel="stylesheet">
<link href="https://fonts.googleapis.com/css2?family=League+Spartan:wght@100;200;300;400;500;600;900&display=swap" rel="stylesheet">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<style>
    body {
        font-family: 'League Spartan', sans-serif;
        background-color: #e3eeff;
        width: 75%;
    }
    p {
        font-weight: 400;
    }
    h1 {
        font-weight: 600;
    }
    .banner {
        font-size: 1.4em;
        cursor: pointer;
        border-radius: 3px;
        color: white;
        font-weight: 600;
        background-color: #2f486e;
        padding: 10px;
    }
    .banner:hover, .banner.active {
        background-color: #449DD1;
        color: white;
    }
    .banner:before {
        content: '+ ';
    }
    .banner.active:before {
        content: '- ';
    }
    .greybanner {
        border-bottom: 1px solid black;
        padding-bottom: 5px;
        margin-top: 5px;
        margin-bottom: 0px;
        margin-left: 10px;
        font-size: 1.3em;
        font-weight: 500;
    }
    .environmentBanner {
        border-radius: 3px;
        width: 950px;
        font-weight: 300;
        background-color: #7283b8;
        color: white;
        padding: 5px;
    }
    .infraBanner {
        font-weight: 300;
        cursor: pointer;
        color: black;
        border-radius: 3px;
        font-size: 1.5em;
        background-color: lightblue;
        padding: 5px;
    }
    .group_head {
        text-align: left;
        display: inline-block;
        width: 150px;
        font-weight: 300;
    }
    .card {
        background-color: #d4e5ff;
        font-weight: 300;
        margin-top: 5px;
        border: 1px solid grey;
        border-radius: 2px;
        color: black;
        display: inline-flex;
        flex-direction: column;
        padding: 0px 5px 0px 5px;
    }
    .value {
        font-size: 1em;
        margin: auto;
    }
    .label {
        margin: auto;
    }
    .box {
        margin-top: 5px;
        margin-left: 20px;
    }
    .details_header, .rm_1 {
        font-size: 1.2em;
        color: black;
        padding: 8px;
        display: block;
        margin: 0px;
    }
    .details_header:before, .rm_1:before {
        content: '+ ';
    }
    .details_header:hover, .details_header.active, .rm_1:hover, .rm_1.active {
        cursor: pointer;
        background-color: #449DD1;
        border-radius: 3px;
        color: white;
    }
    .details_header.active:before, .rm_1.active:before {
        content: '- ';
    }
    .details {

    }
    .user_header {
        padding: 8px;
        margin: 0px;
    }
    .user_header:hover, .user_header.active {
        cursor: pointer;
        background-color:#2f486e;
        border-radius: 3px;
        color: white;
    }
    .user_header:before{
        content: '+ ';
    }
    .user_header.active:before {
        content: '- ';
    }
    .user_details {
    }
    .env_header {
        padding: 8px;
        margin: 0px;
    }
    .env_header:hover, .env_header.active {
        cursor: pointer;
        background-color:#2f486e;
        border-radius: 3px;
        color: white;
    }
    .env_header:before {
        content: '+ ';
    }
    .env_header.active:before {
        content: '- ';
    }
    .businessGroupHeader {
        color: #2f486e;
    }
    .n_small_box {
        vertical-align: top;
        display: inline-block;
        margin-right: 10px;
    }
    .rm_1 {
        font-size: 1em;
    }
    .rm_2 {
        font-size: 1em;
    }
    .rm_3 {
        font-size: 1em;
    }
</style>
</head>
    <body>#[payload]</body>
    <script>
    let banners = $(".banner");
    for (let i = 0; i < banners.length; i++) {
        $("#" + banners[i].id).on('click', function() {
            console.log('hi');
            $("#" + banners[i].id + "_box").toggle();
            $("#" + banners[i].id).toggleClass('active');
        });
    }
    let detailsHeaders = $(".details_header");
    for (let i = 0; i < detailsHeaders.length; i++) {
        $("#" + detailsHeaders[i].id).on('click', function() {
            $("#" + detailsHeaders[i].id + "_details").toggle();
            $("#" + detailsHeaders[i].id).toggleClass('active');
        })
    }
    let userDetailsHeaders = $(".user_header");
    for (let i = 0; i < userDetailsHeaders.length; i++) {
        $("#" + userDetailsHeaders[i].id).on('click', function() {
            $("#" + userDetailsHeaders[i].id + "_details").toggle();
            $("#" + userDetailsHeaders[i].id).toggleClass('active');
        })
    }
    let deploymentHeaders = $(".rm_1");
    for (let i = 0; i < deploymentHeaders.length; i++) {
        $("#" + deploymentHeaders[i].id).on('click', function() {
            $("#" + deploymentHeaders[i].id + "_box").toggle();
            $("#" + deploymentHeaders[i].id).toggleClass('active');
        })
    }
    </script>
</html>
